@import url("https://fonts.googleapis.com/css2?family=Cherry+Cream+Soda&family=Montserrat:wght@100;400;700&display=swap");
h1,
h2,
h3,
h4 {
  margin-top: 10px;
  margin-bottom: 20px;
  color: black;
  font-family: Impact, Haettenschweiler, "Arial Narrow Bold", sans-serif;
}

body {
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  background: #f6eabf;
  text-shadow: rgba(0, 0, 0, 0.3) 1px 1px 2px;
  font-size: medium;
}

/* \\\\\\ OUR MINI RESET ////// */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* \\\\\\ CSS STYLES BEGIN ////// */
/* \\\\\\ MAIN CONTAINER ////// */
.container {
  position: relative;
  width: 67.5rem;
  height: auto;
  margin: 3.125rem auto;
  overflow: hidden;
  /* hide planets, which overlap edge */
  border: 1rem solid rgba(255, 255, 255, 0.4);
  /* just looks cool */
  border-radius: 3.125rem;
  /* just looks cool */
}

.background-space-video {
  position: absolute;
  top: 0;
  left: 0;
  width: 67.5rem;
  height: auto;
  z-index: -1;
  opacity: 0.2;
  overflow: hidden;
}

.background-space-video video {
  width: 120%;
}

.video-mask {
  position: absolute;
  top: -150px;
  left: 0px;
  width: 100%;
  height: auto;
}

.video-mask img {
  width: 100%;
}

.vid-toggle {
  position: absolute;
  top: 10px;
  right: 0;
  width: 70px;
  height: auto;
  z-index: 1000;
}

/* ||||||||||||||||||||||||||||||||| */
/* MODIFIED HEADER BUILD 03 */
/* ||||||||||||||||||||||||||||||||| */
header {
  position: relative;
  width: auto;
  height: auto;
  margin: -3.125rem 0 0 5.625rem;
  /* Moved down + left */
  /* font-family:"Fontdiner Swanky", cursive; */
  z-index: 100;
  /* Moved forward */
  transform: rotate(-5deg);
  /* Rotated ant-clockwise */
  /* border:1px solid black;*/
}

header img {
  width: 85%;
}

.hide-text {
  text-indent: 100%;
  white-space: nowrap;
  overflow: hidden;
}

/* \\\\\\ MAIN CONTENT ////// */
main {
  position: relative;
  width: 64.375rem;
  /* height:62.5rem; */
  min-height: 80rem;
  height: auto;
  /* Changed to auto when audio was added the lyrics area had more room */
  margin: 2.25rem 0 0 6.25rem;
  background-image: url("./assets/rocket-ribbons-alpha-02.png");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: 0 0;
  /* border: 1px solid red; */
  z-index: 1;
}

/* ||||||||||||||||||||||||||||||||| */
/* MODIFIED ROCKET BUILD 03 */
/* ||||||||||||||||||||||||||||||||| */
/* Increased rocket size in AI then adjusted and exported as PNG24 w alpha from PS */
/* Adjustments to rocket effected section element. Had to then make adjustments to section to correct */
.rocket {
  position: relative;
  top: -6.875rem;
  left: -1rem;
  /* Moved a touch right */
  width: 12.5rem;
  height: auto;
  /* margin:-90px 0 0 0px; */
  /* effected other elements | changes strategy */
  transform: rotate(-10deg);
  /* rotated clockwise a bit */
  /* border:1px solid black; */
}

.rocket img {
  width: 100%;
}

/* \\\\\\ LYRICS ////// */
section {
  position: relative;
  top: -11rem;
  /* moved down after adding video mask */
  /* Fixed in Build 12 added top margin was -6.25rem */
  left: 18.125rem;
  width: 31.25rem;
  height: auto;
  margin-bottom: 200px;
  /* border:1px solid red; */
}

.attention {
  border: 3px solid red;
  padding: 20px;
  border-radius: 20px;
  background: rgba(150, 0, 0, 0.4);
  color: white;
}
.attention h2, .attention h3, .attention h4 {
  color: red;
}

section p {
  position: relative;
  font-family: Verdana, sans-serf;
  font-size: 0.875rem;
  font-weight: 700;
  line-height: 1.375rem;
  margin: 0 0 1.375rem 0;
  color: rgba(0, 0, 0, 0.8);
}

p.small-rocket-01::before {
  position: absolute;
  top: -5rem;
  left: -30rem;
  content: url(./assets/slerf.png);
  width: 40px;
  transform: scale(0.5, 0.5) rotate(-15deg);
}

@keyframes astronaut {
  100% {
    background-position: -2000px;
  }
}
.astronaut {
  position: absolute;
  top: 8rem;
  right: -12rem;
  width: 200px;
  height: 200px;
  background: url("./assets/space-entity-filmstrip.png");
  background-position: left center;
  animation: astronaut 5s steps(10) infinite;
  z-index: 100;
}

.play-pause-audio {
  position: absolute;
  top: 3.75rem;
  left: -3.5rem;
  width: 32px;
  height: 32px;
}

.hide-player {
  height: 0;
  visibility: hidden;
  display: none;
}

#playMe {
  display: block;
  cursor: pointer;
}

#pauseMe {
  display: none;
  cursor: pointer;
}

/*
  audio {
    position:relative;
    width:18.75rem;
    height:3.125rem;
    margin:0 0 6.25rem 0;
    z-index:200;
  }
  */
.arrow-down {
  position: absolute;
  right: 0.625rem;
  top: 0.625rem;
  width: 1.5rem;
  height: 1.5rem;
  font-size: 1.5rem;
  text-align: center;
  color: white;
  z-index: 100;
  opacity: 0.6;
  transform: rotate(0deg);
  transition: all 0.8s ease-in-out;
}

/* \\\\\\ VIDEO KILLED THE RADIO STAR ////// */
.space-video {
  position: relative;
  width: 300px;
  height: 168px;
  margin: 0 0 5rem 0;
}

.space-video video {
  width: 100%;
}

iframe {
  position: relative;
  width: auto;
  height: auto;
  margin: 0 0 150px 0;
}

/* \\\\\\ FOOTER BEGINS ////// */
footer {
  position: relative;
  /*Fix spelling error, which also effected planet 03 going behind footer */
  /* bottom:0; */
  /* left:0; */
  width: 100%;
  height: 9.375rem;
  /* Increased height */
  background-color: #19021f;
  /* border:1px solid black; */
}

footer img {
  position: relative;
  width: 9.375rem;
  height: 9.375rem;
  margin: -3.125rem 0 0 1.875rem;
  border: 0.375rem solid rgba(255, 255, 255, 0.5);
  border-radius: 100%;
  overflow: hidden;
}

footer ul {
  position: absolute;
  top: 0.625rem;
  left: 25rem;
  margin: 0;
  padding: 0;
  list-style-type: none;
}

footer ul li {
  font-family: Verdana, sans-serif;
  font-size: 0.625rem;
  margin: 0 0 0.312rem 0;
  color: white;
}

footer ul li a {
  color: white;
  font-size: medium;
  display: inline-block;
  padding: 5px;
}

/* ||||||||||||||||||||||||||||||||| */
/* MODIFIED PLANETS BUILD 03 */
/* ||||||||||||||||||||||||||||||||| */
/* \\\\\\ PLANETS ////// */
.planet-01 {
  position: absolute;
  top: -12.5rem;
  left: -12.5rem;
  width: 34.375rem;
  /* Increase size */
  height: 34.375rem;
  /* Increase size */
  /* border:1px solid black;*/
}

.planet-01 img {
  width: 100%;
  transform: rotate(100deg);
  /* wanted to see high light area */
}

.planet-02 {
  position: absolute;
  top: 48.125rem;
  /* Moved down */
  left: -15.625rem;
  /* Moved more right */
  width: 25rem;
  /* Increase size */
  height: 25rem;
  /* Increase size */
  /* border:1px solid black; */
  z-index: 100;
}

.planet-02 img {
  width: 100%;
  transform: rotate(25deg);
  /* wanted to see bottom shadow */
}

.planet-03 {
  position: absolute;
  right: -4.375rem;
  bottom: -5.375rem;
  width: 25rem;
  /* Increase size */
  height: 25rem;
  /* Increase size */
  z-index: 100;
  /* added after finding spelling error in footer position */
  /* border:1px solid black; */
}

.planet-03 img {
  width: 100%;
  transform: rotate(25deg);
  /* wanted to see bottom shadow */
}

.clearfix::after {
  content: ".";
  height: 0;
  visibility: hidden;
  display: block;
  clear: both;
}

.btn,
.play {
  font-family: "Cherry Cream Soda", system-ui;
  display: block;
  width: 90%;
  margin: 20px;
  text-align: center;
  background: #ee9436;
  color: black;
  padding: 35px 15px;
  border-radius: 20px;
  font-size: large;
  text-shadow: rgba(0, 0, 0, 0.3) 1px 1px 2px;
  text-decoration: none;
  display: table;
}
.btn, .btn *,
.play,
.play * {
  transition: all 1s ease-in-out;
}
.btn span,
.play span {
  text-transform: uppercase;
}
.btn:hover span,
.play:hover span {
  letter-spacing: 0.1em;
  font-weight: bold;
  font-size: large;
}

.connectmetamask {
  background: orange;
}

.maintitle {
  margin-top: -5rem;
}

.form {
  display: block;
  width: 100%;
}
.form .form-group {
  margin: 20px 0;
}
.form input {
  border: 3px solid black;
  display: block;
  width: 100%;
  margin: 10px 0;
  font-size: medium;
  background: rgba(0, 0, 0, 0.4);
  color: white;
  padding: 10px;
}

.large {
  font-size: large;
}

.play,
a {
  cursor: pointer;
}

.form-control {
  width: 100%;
  padding: 5px;
  margin: 5px;
}

.hidden {
  display: none;
}

.scoreboard th {
  text-align: left;
  background: #a601a6;
  color: white;
}
.scoreboard th,
.scoreboard td {
  padding: 10px;
  border-right: 1px solid black;
}
.scoreboard th:last-child,
.scoreboard td:last-child {
  border-right: none;
}

.donate .btn {
  width: auto;
  display: inline-block;
  font-size: small;
  margin: 5px;
  padding: 15px;
}

.btn.connectmetamask {
  background: #c8bd9f;
}

fieldset {
  padding: 25px;
  background: rgba(255, 255, 255, 0.7);
  border: 2px solid #c8bd9f;
  border-radius: 25px;
}

nav {
  font-family: "Cherry Cream Soda", system-ui;
  padding-left: 20px;
  background: white;
}
nav ul {
  list-style-type: none;
}
nav ul li {
  display: inline;
}
nav ul li a {
  font-family: "Cherry Cream Soda", system-ui;
  color: black;
  display: inline-block;
  margin: 10px;
  padding: 15px;
  text-decoration: none;
}
nav ul li a:hover {
  color: #ee9436;
}

span.logo {
  font-weight: bold;
  text-transform: uppercase;
  color: #c8bd9f;
}

.w100 {
  width: 100%;
}